.ddwcopb-order-statuses {
	clear: both;
	display: flex;
	justify-content: space-between;
	list-style: none;
	margin: 0 0 2rem;
	padding: 20px 0 0;
	overflow: hidden
}

.ddwcopb-order-statuses li {
	border-top: 2px solid #e8e8e8;
	font-weight: 600;
	line-height: 1.5;
	min-width: 0;
	overflow: visible;
	padding: 25px 6px 0 !important;
	position: relative;
	text-align: center;
	margin: 0 !important;
	color: #e8e8e8
}

.ddwcopb-order-statuses li.ddwcopb-order-status-confirmed {
	color: #111
}

.ddwcopb-order-statuses li:not(:first-child):not(:last-child) {
	flex: 1;
	width: 100%;
	max-width: 100%;
	min-width: 1px
}

.ddwcopb-order-statuses li:first-child,
.ddwcopb-order-statuses li:last-child {
	width: auto;
	max-width: 100%;
	white-space: nowrap
}

.ddwcopb-order-statuses li:first-child {
	padding-left: 0 !important
}

.ddwcopb-order-statuses li:last-child {
	padding-right: 0 !important
}

.ddwcopb-order-statuses li .ddwcopb-progress-circle {
	background-color: #e8e8e8;
	border-radius: 100%;
	border: 6px solid #fff;
	top: -15px;
	content: "";
	display: block;
	height: 28px;
	left: calc(50% - 14px);
	position: absolute;
	width: 28px;
	z-index: 4
}

.ddwcopb-order-statuses.ddwcopb-success-order li.ddwcopb-order-status-confirmed .ddwcopb-progress-circle {
	background-color: var(--ddwcopb-success-color)
}

.ddwcopb-order-statuses.ddwcopb-failed-order li.ddwcopb-order-status-confirmed .ddwcopb-progress-circle {
	background-color: var(--ddwcopb-failed-color)
}


.ddwcopb-order-statuses li:before,
.ddwcopb-order-statuses li:after {
	top: -2px;
	content: "";
	display: block;
	left: 0;
	position: absolute;
	width: 50%;
	z-index: 2
}

.ddwcopb-order-statuses li:after {
	left: auto;
	right: 0;
}

.ddwcopb-order-statuses.ddwcopb-success-order li.ddwcopb-order-status-confirmed:before,
.ddwcopb-order-statuses.ddwcopb-success-order li.ddwcopb-order-status-confirmed:after {
	border-bottom: 2px solid var(--ddwcopb-success-color)
}

.ddwcopb-order-statuses.ddwcopb-failed-order li.ddwcopb-order-status-confirmed:before,
.ddwcopb-order-statuses.ddwcopb-failed-order li.ddwcopb-order-status-confirmed:after {
	border-bottom: 2px solid var(--ddwcopb-failed-color)
}

.ddwcopb-order-statuses li.ddwcopb-order-status-confirmed:not(:has(~ .ddwcopb-order-status-confirmed)):after {
	border-bottom: 2px solid transparent;
}

.ddwcopb-order-statuses li:first-child:before,
.ddwcopb-order-statuses li:last-child:after {
	border-bottom: 2px solid #fff !important;
}
